package com.kingdee.eas.custom.recuritment;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class BeisenTalentPoolFactory
{
    private BeisenTalentPoolFactory()
    {
    }
    public static com.kingdee.eas.custom.recuritment.IBeisenTalentPool getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.recuritment.IBeisenTalentPool)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("0E34C69B") ,com.kingdee.eas.custom.recuritment.IBeisenTalentPool.class);
    }
    
    public static com.kingdee.eas.custom.recuritment.IBeisenTalentPool getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.recuritment.IBeisenTalentPool)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("0E34C69B") ,com.kingdee.eas.custom.recuritment.IBeisenTalentPool.class, objectCtx);
    }
    public static com.kingdee.eas.custom.recuritment.IBeisenTalentPool getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.recuritment.IBeisenTalentPool)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("0E34C69B"));
    }
    public static com.kingdee.eas.custom.recuritment.IBeisenTalentPool getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.recuritment.IBeisenTalentPool)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("0E34C69B"));
    }
}